---
name: Bug report
about: Create a report to help us improve
title: ''
labels: new issue

---

Before creating an issue, make sure that you are on the latest `file_picker` version and that there aren't already any similar opened inssues. Also, check if it isn't described on the [Wiki](https://github.com/miguelpruivo/flutter_file_picker/wiki), specially on [Troubleshooting](https://github.com/miguelpruivo/flutter_file_picker/wiki/Troubleshooting) page.

Also, sometimes a simple `flutter clean` and `flutter build` again with latest file_picker version, may end up by fixing cached issues, so I encourage you to first do so.

**Describe the bug**
A clear and concise description of what the bug is. If the issue happens to be on Android, please make sure that it also happens with a different device/simulator and/or version.

**Platform**
- [] Android
- [] iOS
- [] Web
- [] Desktop (Go)

**Platform OS version**
What version did it happen?

**How are you picking?**
```
Please, post the snippet here
```

**Details to reproduce the issue**
Provide all the details to reproduce the issue.

**Error Log**
Please, post the _full_ console log of your issue, if applicable.

**Screenshots and/or video**
If applicable, add screenshots or video to help explain your problem.

**Flutter Version details**
Please, post the output of your `flutter doctor -v`, preferably, while running the issued device/simulator.

**Additional context**
Add any other context about the problem here.
